import React from "react";
import "./App.css";
import Header from "./Header/header";
import Navigation from "./Content/Navigation/navigation";
import News from "./Content/News/news";
import { Redirect, Route } from "react-router-dom";
import Music from "./Content/Music/music";
import Profile from "./Content/Profile/profile";
import Settings from "./Content/Settings/settings";
import Login from "./Content/Login/Login";
import Registration from "./Content/Registration/Registration";
import Users from "./Content/Users/users";
import Messages from "./Content/Messages/messages";

function App() {
    return (
        <div className="app-wrapper">
            <Header />

            <div className="content-block">
                <Navigation />

                <div className="app-wrapper-content">
                    <Redirect exact from="/" to="/profile" />
                    <Route
                        path="/profile"
                        render={() => <Profile />}
                    />
                    <Route
                        path="/messages"
                        render={() => <Messages />}
                    />
                    <Route
                        path="/users"
                        render={() => <Users /> }
                    />
                    <Route path="/news" component={News} />
                    <Route path="/music" component={Music} />
                    <Route path="/settings" component={Settings} />
                    <Route path="/login" component={Login} />
                    <Route path="/registration" component={Registration} />
                </div>
            </div>
        </div>
    );
}

export default App;
